Hello Pádraig and all,

On 2017-12-21 08:51 AM, Pádraig Brady wrote:

You can download the coreutils snapshot in xz format (5.2 MB) from:
   https://pixelbeat.org/cu/coreutils-ss.tar.xz

Few failures I found:

---

FreeBSD 11.1 and OpenBSD 6.2:

FAIL: tests/misc/shred-remove
=============================
[...]
--- exp 2017-12-22 01:42:22.634565000 +0000
+++ out 2017-12-22 01:42:22.633280000 +0000
@@ -2,4 +2,5 @@
 shred: test: renamed to 0000
 shred: 0000: renamed to 001
 shred: 001: renamed to 00
+shred: 00: renamed to 0
 shred: test: removed
[...]

(log from freebsd attached).

----

Ubuntu 16.04:

FAIL: tests/df/df-symlink
=========================
[...]
--- exp 2017-12-21 18:43:36.003465017 -0700
+++ out 2017-12-21 18:43:36.011465116 -0700
@@ -1,2 +1,2 @@
Filesystem     Mounted on
-/dev/sdb2      /tmp
+/dev/sdb2      /scratch

log attached.

This is a false positive, but the test could probably be improved:
on this machine /dev/sdb2 is bound-mount in /etc/stab like so:
===
/dev/sdb        /scratch  ext4   relatime,user_xattr  0    2
/scratch/tmp    /tmp      none   defaults,bind        0    0
===

----

On Debian 8.9 on i686 (32bit) virtual machine:

FAIL: tests/cp/fiemap-perf
(log attached).


----

AIX:
coreutils now fails during configure with:
[....]
checking POSIX termios... yes
checking whether use of TIOCGWINSZ requires termios.h... no
checking for 64-bit time_t... no
configure: error: in `/home/agn/pretest.2017-12-21.SHpgup/coreutils-8.28.61-70c84.05GXkz/coreutils-8.28.61-70c84': configure: error: This package requires a 64-bit 'time_t' type, which your system appears to support. You might try configuring with 'CPPFLAGS="-m64" LDFLAGS="-m64"'. To build with a 32-bit time_t anyway (not recommended), configure with 'TIME_T_32_BIT_OK=yes'.
See `config.log' for more details
[....]

This could be considered as a regression, as it compiled fine
in previous versions (at least some of the coreutils programs).

I haven't yet tried with "CFLAGS=-m64".

----

No failures on the following (from the GCC compile farm):
   Debian unstable / Sparc64
   CentOS 7 / ppc64le
   CentOS 7 / pcc64

----


will have more results soon.

regards,
 - assaf
=========================================================
   GNU coreutils 8.28.61-70c84: ./tests/test-suite.log
=========================================================

# TOTAL: 603
# PASS:  449
# SKIP:  153
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0

FAIL: tests/misc/shred-remove
=============================

+ initial_cwd_=/tmp/coreutils-8.28.61-70c84.XXXXXX.Y3qNS0ra/coreutils-8.28.61-70c84
+ testdir_prefix_
+ printf gt
+ pfx_=gt
+ mktempd_ /tmp/coreutils-8.28.61-70c84.XXXXXX.Y3qNS0ra/coreutils-8.28.61-70c84 gt-shred-remove.sh.XXXX
+ destdir_=/tmp/coreutils-8.28.61-70c84.XXXXXX.Y3qNS0ra/coreutils-8.28.61-70c84
+ template_=gt-shred-remove.sh.XXXX
+ MAX_TRIES_=4
+ destdir_slash_=/tmp/coreutils-8.28.61-70c84.XXXXXX.Y3qNS0ra/coreutils-8.28.61-70c84/
+ unset TMPDIR
+ d=/tmp/coreutils-8.28.61-70c84.XXXXXX.Y3qNS0ra/coreutils-8.28.61-70c84/gt-shred-remove.sh.wRtS
+ :
+ test -d /tmp/coreutils-8.28.61-70c84.XXXXXX.Y3qNS0ra/coreutils-8.28.61-70c84/gt-shred-remove.sh.wRtS
+ ls -dgo /tmp/coreutils-8.28.61-70c84.XXXXXX.Y3qNS0ra/coreutils-8.28.61-70c84/gt-shred-remove.sh.wRtS
+ perms='drwx------ 2 512 Dec 22 01:42 /tmp/coreutils-8.28.61-70c84.XXXXXX.Y3qNS0ra/coreutils-8.28.61-70c84/gt-shred-remove.sh.wRtS'
+ :
+ echo /tmp/coreutils-8.28.61-70c84.XXXXXX.Y3qNS0ra/coreutils-8.28.61-70c84/gt-shred-remove.sh.wRtS
+ return
+ test_dir_=/tmp/coreutils-8.28.61-70c84.XXXXXX.Y3qNS0ra/coreutils-8.28.61-70c84/gt-shred-remove.sh.wRtS
+ cd /tmp/coreutils-8.28.61-70c84.XXXXXX.Y3qNS0ra/coreutils-8.28.61-70c84/gt-shred-remove.sh.wRtS
+ gl_init_sh_nl_='
'
+ IFS=$' \t
'
+ expr 1 + 128
+ eval $'trap \'Exit 129\' 1'
+ trap 'Exit 129' 1
+ expr 2 + 128
+ eval $'trap \'Exit 130\' 2'
+ trap 'Exit 130' 2
+ expr 3 + 128
+ eval $'trap \'Exit 131\' 3'
+ trap 'Exit 131' 3
+ expr 13 + 128
+ eval $'trap \'Exit 141\' 13'
+ trap 'Exit 141' 13
+ expr 15 + 128
+ eval $'trap \'Exit 143\' 15'
+ trap 'Exit 143' 15
+ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=' 0
+ path_dir_=./src
+ abs_path_dir_=/tmp/coreutils-8.28.61-70c84.XXXXXX.Y3qNS0ra/coreutils-8.28.61-70c84/./src
+ PATH=/tmp/coreutils-8.28.61-70c84.XXXXXX.Y3qNS0ra/coreutils-8.28.61-70c84/./src:/tmp/coreutils-8.28.61-70c84.XXXXXX.Y3qNS0ra/coreutils-8.28.61-70c84/src:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin
+ create_exe_shims_ /tmp/coreutils-8.28.61-70c84.XXXXXX.Y3qNS0ra/coreutils-8.28.61-70c84/./src
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ print_ver_ shred
+ require_built_ shred
+ skip_=no
+ test no '=' yes
+ test yes '=' yes
+ local i
+ env shred --version
shred (GNU coreutils) 8.28.61-70c84
Copyright (C) 2017 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Colin Plumb.
+ skip_if_root_
+ uid_is_privileged_
+ id -u
+ my_uid=1001
+ return 1
+ file=0123456789
+ touch 0123456789
+ chmod u-w 0123456789
+ returns_ 1 shred -u 0123456789
+ rm -f 0123456789
+ touch 0123456789
+ shred -n0 --remove 0123456789
+ test -e 0123456789
+ touch 0123456789
+ shred -n0 '--remove=unlink' 0123456789
+ test -e 0123456789
+ touch 0123456789
+ shred -n0 '--remove=wipe' 0123456789
+ test -e 0123456789
+ touch 0123456789
+ shred -n0 '--remove=wipesync' 0123456789
+ test -e 0123456789
+ touch 0123456789
+ returns_ 1 shred -n0 '--remove=none' 0123456789
+ printf 0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ_.
+ sed 's/./&\n/g'
+ xargs touch
+ touch test 000
+ shred -vu test
+ cat
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 '=' 2
+ test xexp '=' x/dev/null
+ test xout '=' x/dev/null
+ return 2
+ compare_ exp out
+ diff -u exp out
--- exp	2017-12-22 01:42:22.634565000 +0000
+++ out	2017-12-22 01:42:22.633280000 +0000
@@ -2,4 +2,5 @@
 shred: test: renamed to 0000
 shred: 0000: renamed to 001
 shred: 001: renamed to 00
+shred: 00: renamed to 0
 shred: test: removed
+ fail=1
+ mkdir rodir
+ cd rodir
+ touch 0123456789
+ chmod a-w .
+ returns_ 1 timeout 10 shred -u 0123456789
shred: 0123456789: failed to remove: Permission denied
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=1
+ cleanup_
+ :
+ test '' '=' yes
+ cd /tmp/coreutils-8.28.61-70c84.XXXXXX.Y3qNS0ra/coreutils-8.28.61-70c84
+ chmod -R u+rwx /tmp/coreutils-8.28.61-70c84.XXXXXX.Y3qNS0ra/coreutils-8.28.61-70c84/gt-shred-remove.sh.wRtS
+ rm -rf /tmp/coreutils-8.28.61-70c84.XXXXXX.Y3qNS0ra/coreutils-8.28.61-70c84/gt-shred-remove.sh.wRtS
+ exit 1
FAIL tests/misc/shred-remove.sh (exit status: 1)

=========================================================
   GNU coreutils 8.28.61-70c84: ./tests/test-suite.log
=========================================================

# TOTAL: 603
# PASS:  498
# SKIP:  104
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0

FAIL: tests/df/df-symlink
=========================

++ initial_cwd_=/scratch/tmp/pretest.compilers.awUDGZ/coreutils-8.28.61-70c84.1ffgZY/coreutils-8.28.61-70c84
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /scratch/tmp/pretest.compilers.awUDGZ/coreutils-8.28.61-70c84.1ffgZY/coreutils-8.28.61-70c84 gt-df-symlink.sh.XXXX
+++ case $# in
+++ destdir_=/scratch/tmp/pretest.compilers.awUDGZ/coreutils-8.28.61-70c84.1ffgZY/coreutils-8.28.61-70c84
+++ template_=gt-df-symlink.sh.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ destdir_slash_=/scratch/tmp/pretest.compilers.awUDGZ/coreutils-8.28.61-70c84.1ffgZY/coreutils-8.28.61-70c84/
+++ case $template_ in
++++ unset TMPDIR
+++ d=/scratch/tmp/pretest.compilers.awUDGZ/coreutils-8.28.61-70c84.1ffgZY/coreutils-8.28.61-70c84/gt-df-symlink.sh.tYjZ
+++ case $d in
+++ :
+++ test -d /scratch/tmp/pretest.compilers.awUDGZ/coreutils-8.28.61-70c84.1ffgZY/coreutils-8.28.61-70c84/gt-df-symlink.sh.tYjZ
++++ ls -dgo /scratch/tmp/pretest.compilers.awUDGZ/coreutils-8.28.61-70c84.1ffgZY/coreutils-8.28.61-70c84/gt-df-symlink.sh.tYjZ
+++ perms='drwx------ 2 4096 Dec 21 18:43 /scratch/tmp/pretest.compilers.awUDGZ/coreutils-8.28.61-70c84.1ffgZY/coreutils-8.28.61-70c84/gt-df-symlink.sh.tYjZ'
+++ case $perms in
+++ :
+++ echo /scratch/tmp/pretest.compilers.awUDGZ/coreutils-8.28.61-70c84.1ffgZY/coreutils-8.28.61-70c84/gt-df-symlink.sh.tYjZ
+++ return
++ test_dir_=/scratch/tmp/pretest.compilers.awUDGZ/coreutils-8.28.61-70c84.1ffgZY/coreutils-8.28.61-70c84/gt-df-symlink.sh.tYjZ
++ cd /scratch/tmp/pretest.compilers.awUDGZ/coreutils-8.28.61-70c84.1ffgZY/coreutils-8.28.61-70c84/gt-df-symlink.sh.tYjZ
++ gl_init_sh_nl_='
'
++ IFS=' 	
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=' 0
+ path_dir_=./src
+ case $path_dir_ in
+ abs_path_dir_=/scratch/tmp/pretest.compilers.awUDGZ/coreutils-8.28.61-70c84.1ffgZY/coreutils-8.28.61-70c84/./src
+ case $abs_path_dir_ in
+ PATH=/scratch/tmp/pretest.compilers.awUDGZ/coreutils-8.28.61-70c84.1ffgZY/coreutils-8.28.61-70c84/./src:/scratch/tmp/pretest.compilers.awUDGZ/coreutils-8.28.61-70c84.1ffgZY/coreutils-8.28.61-70c84/src:/home/gordon/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games
+ create_exe_shims_ /scratch/tmp/pretest.compilers.awUDGZ/coreutils-8.28.61-70c84.1ffgZY/coreutils-8.28.61-70c84/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ print_ver_ df
+ require_built_ df
+ skip_=no
+ for i in '"$@"'
+ case " $built_programs " in
+ test no = yes
+ test yes = yes
+ local i
+ for i in '$*'
+ env df --version
df (GNU coreutils) 8.28.61-70c84
Copyright (C) 2017 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbjorn Granlund, David MacKenzie, and Paul Eggert.
++ tail -n1
++ df --out=source .
+ disk=/dev/sdb2
+ ln -s /dev/sdb2 symlink
+ df --out=source,target /dev/sdb2
+ df --out=source,target symlink
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 = 2
+ test xexp = x/dev/null
+ test xout = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ diff -u exp out
++ df --output=source
++ grep -F /dev/sdb2
++ wc -l
+ test 1 = 1
+ df --out=source,target .
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 = 2
+ test xexp = x/dev/null
+ test xout = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ diff -u exp out
--- exp	2017-12-21 18:43:36.003465017 -0700
+++ out	2017-12-21 18:43:36.011465116 -0700
@@ -1,2 +1,2 @@
 Filesystem     Mounted on
-/dev/sdb2      /tmp
+/dev/sdb2      /scratch
+ fail=1
+ test 1 = 1
+ dump_mount_list_
+ cat /proc/self/mountinfo
18 24 0:17 / /sys rw,nosuid,nodev,noexec,relatime shared:7 - sysfs sysfs rw
19 24 0:4 / /proc rw,nosuid,nodev,noexec,relatime shared:12 - proc proc rw
20 24 0:6 / /dev rw,nosuid,relatime shared:2 - devtmpfs udev rw,size=5958520k,nr_inodes=1489630,mode=755
21 20 0:18 / /dev/pts rw,nosuid,noexec,relatime shared:3 - devpts devpts rw,gid=5,mode=620,ptmxmode=000
22 24 0:19 / /run rw,nosuid,noexec,relatime shared:5 - tmpfs tmpfs rw,size=1196216k,mode=755
24 0 8:1 / / rw,relatime shared:1 - ext4 /dev/sda1 rw,discard,errors=remount-ro,data=ordered
25 18 0:13 / /sys/kernel/security rw,nosuid,nodev,noexec,relatime shared:8 - securityfs securityfs rw
26 20 0:21 / /dev/shm rw,nosuid,nodev shared:4 - tmpfs tmpfs rw
27 22 0:22 / /run/lock rw,nosuid,nodev,noexec,relatime shared:6 - tmpfs tmpfs rw,size=5120k
28 18 0:23 / /sys/fs/cgroup rw shared:9 - tmpfs tmpfs rw,mode=755
29 28 0:24 / /sys/fs/cgroup/systemd rw,nosuid,nodev,noexec,relatime shared:10 - cgroup cgroup rw,xattr,release_agent=/lib/systemd/systemd-cgroups-agent,name=systemd
30 18 0:25 / /sys/fs/pstore rw,nosuid,nodev,noexec,relatime shared:11 - pstore pstore rw
31 28 0:26 / /sys/fs/cgroup/cpu,cpuacct rw,nosuid,nodev,noexec,relatime shared:13 - cgroup cgroup rw,cpu,cpuacct
32 28 0:27 / /sys/fs/cgroup/hugetlb rw,nosuid,nodev,noexec,relatime shared:14 - cgroup cgroup rw,hugetlb,release_agent=/run/cgmanager/agents/cgm-release-agent.hugetlb
33 28 0:28 / /sys/fs/cgroup/blkio rw,nosuid,nodev,noexec,relatime shared:15 - cgroup cgroup rw,blkio
34 28 0:29 / /sys/fs/cgroup/devices rw,nosuid,nodev,noexec,relatime shared:16 - cgroup cgroup rw,devices
35 28 0:30 / /sys/fs/cgroup/cpuset rw,nosuid,nodev,noexec,relatime shared:17 - cgroup cgroup rw,cpuset,clone_children
36 28 0:31 / /sys/fs/cgroup/net_cls,net_prio rw,nosuid,nodev,noexec,relatime shared:18 - cgroup cgroup rw,net_cls,net_prio
37 28 0:32 / /sys/fs/cgroup/pids rw,nosuid,nodev,noexec,relatime shared:19 - cgroup cgroup rw,pids,release_agent=/run/cgmanager/agents/cgm-release-agent.pids
38 28 0:33 / /sys/fs/cgroup/freezer rw,nosuid,nodev,noexec,relatime shared:20 - cgroup cgroup rw,freezer
39 28 0:34 / /sys/fs/cgroup/memory rw,nosuid,nodev,noexec,relatime shared:21 - cgroup cgroup rw,memory
40 28 0:35 / /sys/fs/cgroup/perf_event rw,nosuid,nodev,noexec,relatime shared:22 - cgroup cgroup rw,perf_event,release_agent=/run/cgmanager/agents/cgm-release-agent.perf_event
41 19 0:36 / /proc/sys/fs/binfmt_misc rw,relatime shared:23 - autofs systemd-1 rw,fd=26,pgrp=1,timeout=0,minproto=5,maxproto=5,direct,pipe_ino=14754
76 20 0:16 / /dev/mqueue rw,relatime shared:56 - mqueue mqueue rw
75 18 0:7 / /sys/kernel/debug rw,relatime shared:58 - debugfs debugfs rw
79 20 0:37 / /dev/hugepages rw,relatime shared:60 - hugetlbfs hugetlbfs rw
81 75 0:9 / /sys/kernel/debug/tracing rw,relatime shared:24 - tracefs tracefs rw
42 18 0:38 / /sys/fs/fuse/connections rw,relatime shared:25 - fusectl fusectl rw
43 24 8:18 / /scratch rw,relatime shared:26 - ext4 /dev/sdb2 rw,data=ordered
44 24 8:18 /tmp /tmp rw,relatime shared:26 - ext4 /dev/sdb2 rw,data=ordered
45 24 9:0 / /home rw,relatime shared:27 - ext4 /dev/md0 rw,data=ordered
46 41 0:39 / /proc/sys/fs/binfmt_misc rw,relatime shared:28 - binfmt_misc binfmt_misc rw
142 22 0:41 / /run/cgmanager/fs rw,relatime shared:120 - tmpfs cgmfs rw,size=100k,mode=755
202 22 0:43 / /run/user/1000 rw,nosuid,nodev,relatime shared:158 - tmpfs tmpfs rw,size=1196216k,mode=700,uid=1000,gid=1000
208 202 0:45 / /run/user/1000/gvfs rw,nosuid,nodev,relatime shared:164 - fuse.gvfsd-fuse gvfsd-fuse rw,user_id=1000,group_id=1000
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=1
+ cleanup_
+ :
+ test '' = yes
+ cd /scratch/tmp/pretest.compilers.awUDGZ/coreutils-8.28.61-70c84.1ffgZY/coreutils-8.28.61-70c84
+ chmod -R u+rwx /scratch/tmp/pretest.compilers.awUDGZ/coreutils-8.28.61-70c84.1ffgZY/coreutils-8.28.61-70c84/gt-df-symlink.sh.tYjZ
+ rm -rf /scratch/tmp/pretest.compilers.awUDGZ/coreutils-8.28.61-70c84.1ffgZY/coreutils-8.28.61-70c84/gt-df-symlink.sh.tYjZ
+ exit 1
FAIL tests/df/df-symlink.sh (exit status: 1)

=========================================================
   GNU coreutils 8.28.61-70c84: ./tests/test-suite.log
=========================================================

# TOTAL: 603
# PASS:  479
# SKIP:  123
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0

FAIL: tests/cp/fiemap-perf
==========================

++ 
initial_cwd_=/home/agn/pretest.2017-12-22.8U1hoS/coreutils-8.28.61-70c84.56TDFm/coreutils-8.28.61-70c84
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ 
/home/agn/pretest.2017-12-22.8U1hoS/coreutils-8.28.61-70c84.56TDFm/coreutils-8.28.61-70c84
 gt-fiemap-perf.sh.XXXX
+++ case $# in
+++ 
destdir_=/home/agn/pretest.2017-12-22.8U1hoS/coreutils-8.28.61-70c84.56TDFm/coreutils-8.28.61-70c84
+++ template_=gt-fiemap-perf.sh.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ 
destdir_slash_=/home/agn/pretest.2017-12-22.8U1hoS/coreutils-8.28.61-70c84.56TDFm/coreutils-8.28.61-70c84/
+++ case $template_ in
++++ unset TMPDIR
+++ 
d=/home/agn/pretest.2017-12-22.8U1hoS/coreutils-8.28.61-70c84.56TDFm/coreutils-8.28.61-70c84/gt-fiemap-perf.sh.6BNv
+++ case $d in
+++ :
+++ test -d 
/home/agn/pretest.2017-12-22.8U1hoS/coreutils-8.28.61-70c84.56TDFm/coreutils-8.28.61-70c84/gt-fiemap-perf.sh.6BNv
++++ ls -dgo 
/home/agn/pretest.2017-12-22.8U1hoS/coreutils-8.28.61-70c84.56TDFm/coreutils-8.28.61-70c84/gt-fiemap-perf.sh.6BNv
+++ perms='drwx------ 2 4096 Dec 22 02:44 
/home/agn/pretest.2017-12-22.8U1hoS/coreutils-8.28.61-70c84.56TDFm/coreutils-8.28.61-70c84/gt-fiemap-perf.sh.6BNv'
+++ case $perms in
+++ :
+++ echo 
/home/agn/pretest.2017-12-22.8U1hoS/coreutils-8.28.61-70c84.56TDFm/coreutils-8.28.61-70c84/gt-fiemap-perf.sh.6BNv
+++ return
++ 
test_dir_=/home/agn/pretest.2017-12-22.8U1hoS/coreutils-8.28.61-70c84.56TDFm/coreutils-8.28.61-70c84/gt-fiemap-perf.sh.6BNv
++ cd 
/home/agn/pretest.2017-12-22.8U1hoS/coreutils-8.28.61-70c84.56TDFm/coreutils-8.28.61-70c84/gt-fiemap-perf.sh.6BNv
++ gl_init_sh_nl_='
'
++ IFS='        
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=' 0
+ path_dir_=./src
+ case $path_dir_ in
+ 
abs_path_dir_=/home/agn/pretest.2017-12-22.8U1hoS/coreutils-8.28.61-70c84.56TDFm/coreutils-8.28.61-70c84/./src
+ case $abs_path_dir_ in
+ 
PATH=/home/agn/pretest.2017-12-22.8U1hoS/coreutils-8.28.61-70c84.56TDFm/coreutils-8.28.61-70c84/./src:/home/agn/pretest.2017-12-22.8U1hoS/coreutils-8.28.61-70c84.56TDFm/coreutils-8.28.61-70c84/src:/usr/local/bin:/usr/bin:/bin:/usr/games:/sbin:/usr/sbin
+ create_exe_shims_ 
/home/agn/pretest.2017-12-22.8U1hoS/coreutils-8.28.61-70c84.56TDFm/coreutils-8.28.61-70c84/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ print_ver_ cp
+ require_built_ cp
+ skip_=no
+ for i in '"$@"'
+ case " $built_programs " in
+ test no = yes
+ test yes = yes
+ local i
+ for i in '$*'
+ env cp --version
cp (GNU coreutils) 8.28.61-70c84
Copyright (C) 2017 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbjorn Granlund, David MacKenzie, and Jim Meyering.
+ touch fiemap_chk
+ fiemap_capable_ fiemap_chk
+ python
+ python 
/home/agn/pretest.2017-12-22.8U1hoS/coreutils-8.28.61-70c84.56TDFm/coreutils-8.28.61-70c84/tests/fiemap-capable
 fiemap_chk
+ df -t ext2 -t ext3 .
df: no file systems processed
+ timeout 10 truncate -s1T f
+ filefrag f
f: 0 extents found
+ filefrag f
+ grep -F ': 0 extents found'
+ timeout 10 cp f f2
+ fail=1
++ stat --printf %s f
++ stat --printf %s f2
+ test 1099511627776 = 0
+ fail=1
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=1
+ cleanup_
+ :
+ test '' = yes
+ cd 
/home/agn/pretest.2017-12-22.8U1hoS/coreutils-8.28.61-70c84.56TDFm/coreutils-8.28.61-70c84
+ chmod -R u+rwx 
/home/agn/pretest.2017-12-22.8U1hoS/coreutils-8.28.61-70c84.56TDFm/coreutils-8.28.61-70c84/gt-fiemap-perf.sh.6BNv
+ rm -rf 
/home/agn/pretest.2017-12-22.8U1hoS/coreutils-8.28.61-70c84.56TDFm/coreutils-8.28.61-70c84/gt-fiemap-perf.sh.6BNv
+ exit 1
FAIL tests/cp/fiemap-perf.sh (exit status: 1)

Reply via email to